_Old_Edje_Part Struct Reference

A structure that stores old Edje part information. More...

`#include <edje_convert.h>`

## Data Fields

const char * | name
| the name if any of the part
Old_Edje_Part_Description * | default_desc
| the part descriptor for default
Eina_List * | other_desc
| other possible descriptors
const char * | source
const char * | source2
const char * | source3
const char * | source4
const char * | source5
const char * | source6
int | id
| its id number
int | clip_to_id
| the part id to clip this one to
Edje_Part_Dragable | dragable
| dragable part
Eina_List * | items
| packed items for box and table
unsigned char | type
| what type (image, rect, text)
unsigned char | effect
| 0 = plain...
unsigned char | mouse_events
| it will affect/respond to mouse events
unsigned char | repeat_events
| it will repeat events to objects below
Evas_Event_Flags | ignore_flags
| ignore flags
Evas_Event_Flags | mask_flags
| mask flags
unsigned char | scale
| should certain properties scale with edje scale factor?
unsigned char | precise_is_inside
| whether is precisely inside
unsigned char | use_alternate_font_metrics
| use alternate font metrics
unsigned char | pointer_mode
| pointer mode
unsigned char | entry_mode
| entry mode
unsigned char | select_mode
| entry selection mode
unsigned char | multiline
| multiline enabled
Edje_Part_Api | api
| part API
unsigned char | required
| required

## Detailed Description

A structure that stores old Edje part information.